local tint_friend = {r=1, g=0.4, b=1, a=1 }

local friends = {}

local function make_friend( enn )
	friend = dupli_proto( "unit", enn.name, "controled-" .. enn.name )
	friend.healing_per_tick = 0
    friend.flags = {"placeable-player", "placeable-enemy", "placeable-off-grid", "breaths-air", "not-repairable"}
	for _, anim in pairs(friend.run_animation.layers) do
		anim.tint = tint_friend
	end
	for _, anim in pairs(friend.attack_parameters.animation.layers) do
		anim.tint = tint_friend
	end
	table.insert( friends, friend )
end

for _, enn in pairs(data.raw["unit"]) do
	--enn.tint = {r=0, g=0, b=1, a=1 }
	make_friend(enn)
end


data:extend(friends)
